{sample 2 dimensional array}


CON
        _clkmode = xtal1 + pll16x                                               'Standard clock mode * crystal frequency = 80 MHz
        _xinfreq = 5_000_000

VAR
  long  myvalue
   
OBJ
  pst           : "Parallax Serial Terminal"
  bank[10]      : "array"
  
PUB main | array_num , array_var , temp

     pst.Start(115_200)
     delay(3000)
     
     pst.Str(String("Start PST... ")) 
     pst.NewLine        

     myvalue := 38

     repeat array_num from 0 to 9
          repeat array_var from 0 to 9
               bank[array_num].write( array_var , myvalue )
               myvalue ++

     pst.Str(String("Finished writing to array objects. ")) 
     pst.NewLine       

     pst.Str(String("Reading from array objects. ")) 
     pst.NewLine

     repeat array_num from 0 to 9
          repeat array_var from 0 to 9
               temp := bank[array_num].read( array_var )
               pst.dec(temp)
               pst.newline
     
PUB Delay(Time) | AutoTime, Cycle                     'Wait amount of time before continuing

  Cycle:=cnt
  AutoTime:=clkfreq/1000 * Time
  waitcnt(Cycle+=AutoTime)
  